@import "../fonts/fonts.css";
@import "_variables.css";
@import "layout.css";
@import "auth.css";

:root {
    --bs-border-color: var(--line-color);
}

html, body {
    background-color: var(--app-bg-color);
    color: var(--text-color);

    font-family: 'Helvetica', 'Helvetica Neue', Arial, sans-serif;
    font-size: 16px;
}


a, a:hover{
    text-decoration: none;
    cursor: pointer;
    color: var(--primary-color);
}
.link{
    all: unset;
    box-sizing: border-box;
    display: inherit;
    text-decoration: none;
    cursor: pointer;

    color: var(--primary-color);
}

p, ul, ol,
h1, h2, h3, h4, h5, h6{
    margin: 0;
}

h1, h2, h3, h4, h5, h6{
    color: inherit;
    font-weight: 700;
}

.iconify{
    min-width: 1em;
    min-height: 1em;
}
.avatar{
    font-size: 100px;
    width: 1em;
    height: 1em;
    min-width: 1em;
    min-height: 1em;
    object-fit: cover;
    border-radius: 1000px;

    background-color: rgba(var(--primary-color-rgb), 0.1);
}

*:disabled,
*.disabled{
    cursor: not-allowed;
}

.divider{
    display: block;
    height: 1px;
    width: 100%;
    background-color: var(--line-color);
    opacity: 0.6;
}

.container{max-width: 1320px}

.gradient-border{
    border: 2px solid transparent!important;
    /*background:*/
    /*        linear-gradient(white, white) padding-box,*/
    /*        linear-gradient(45deg, #ff6b6b, #4ecdc4, #ff6b6b) border-box;*/

    background-origin: padding-box, border-box;
    background-clip: padding-box, border-box;
    background-image: linear-gradient(white, white), linear-gradient(45deg, #ff6b6b, #4ecdc4, #ff6b6b);
    background-size: 100% 100%, 300% 300%;
}
.gradient-border-hover:hover{
    border: 2px solid transparent!important;
    background-origin: padding-box, border-box;
    background-clip: padding-box, border-box;
    background-image: linear-gradient(white, white), linear-gradient(45deg, #ff6b6b, #4ecdc4, #ff6b6b);
    /*background: linear-gradient(white, white) padding-box, linear-gradient(45deg, #ff6b6b, #4ecdc4, #ff6b6b) border-box;*/
    background-size: 100% 100%, 300% 300%;
}

.gradient-border-animated{
    animation: gradientMove 6s linear infinite;
}

@keyframes gradientMove {
    0% {
        background-position: 0% 50%;
    }
    100% {
        background-position: 300% 50%;
    }
}



/* Tables */
.table,
.table>:not(caption)>*>*{
    font-size: 15px;
    color: inherit;
}

.table td, .table th{
    padding: .75rem;
    border-bottom: 1px solid var(--line-color);

    vertical-align: middle;
}



/* Backgrounds */
.bg-secondary{
    background-color: var(--tertiary-bg-color)!important;
}
.bg-card{
    background-color: var(--tertiary-bg-color)!important;
}
.bg-body{
    background-color: var(--app-bg-color)!important;
}
.bg-primary{
    background-color: var(--primary-color)!important;
}


/* Typography */
.text-primary{
    color: var(--primary-color)!important;
}
.text-secondary{
    color: var(--subtext-color)!important;
}
.text-tertiary{
    color: var(--tertiary-text-color)!important;
}
.text-body{
    color: var(--text-color)!important;
}


/* Buttons */
.btn,
button.link{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    border-radius: 8px;
    font-size: 16px;

    line-height: 100%;

    white-space: nowrap;

    transition: all 0.2s;
}

.btn:hover{
    gap: 0.75rem;
}

.btn:not(.btn-height-auto):not(.btn-icon){
    min-height: 45px;
}

button.link{
    font-size: inherit;
    padding: 0;
    min-height: auto;
}

.btn .icon{
    font-size: 22px;
}

.btn-icon{
    min-height: auto;
}

.btn-primary{
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--primary-darker-color);
    --bs-btn-hover-border-color: var(--primary-darker-color);
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--primary-darker-color);
    --bs-btn-active-border-color: var(--primary-darker-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--primary-color);
    --bs-btn-disabled-border-color: var(--primary-color);
}
.btn-outline-primary{
    --bs-btn-color: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: var(--primary-color);
    --bs-btn-active-border-color: var(--primary-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--primary-color);
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: var(--primary-color);
    --bs-gradient: none;
}

.btn-warning {
    --bs-btn-color: #696227;
    --bs-btn-bg: #E8E197;
    --bs-btn-border-color: #E8E197;
    --bs-btn-hover-color: #696227;
    --bs-btn-hover-bg: #e6d554;
    --bs-btn-hover-border-color: #e6d554;
    --bs-btn-focus-shadow-rgb: 217, 164, 6;
    --bs-btn-active-color: #696227;
    --bs-btn-active-bg: #e6d554;
    --bs-btn-active-border-color: #e6d554;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #696227;
    --bs-btn-disabled-bg: #E8E197;
    --bs-btn-disabled-border-color: #E8E197;
}
.btn-outline-warning {
    --bs-btn-bg: rgba(255, 231, 33, 0.08);
    --bs-btn-color: #696227;
    --bs-btn-border-color: #696227;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #E8E197;
    --bs-btn-hover-border-color: #696227;
    --bs-btn-focus-shadow-rgb: 255, 193, 7;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #696227;
    --bs-btn-active-border-color: #696227;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #696227;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #696227;
    --bs-gradient: none;
}

.btn-secondary {
    --bs-btn-color: var(--text-color);
    --bs-btn-bg: var(--tertiary-bg-color);
    --bs-btn-border-color: var(--tertiary-bg-color);
    --bs-btn-hover-color: var(--text-color);
    --bs-btn-hover-bg: var(--tertiary-bg-color);
    --bs-btn-hover-border-color: var(--tertiary-bg-color);
    --bs-btn-focus-shadow-rgb: 130, 138, 145;
    --bs-btn-active-color: var(--text-color);
    --bs-btn-active-bg: var(--tertiary-bg-color);
    --bs-btn-active-border-color: var(--tertiary-bg-color);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--text-color);
    --bs-btn-disabled-bg: var(--tertiary-bg-color);
    --bs-btn-disabled-border-color: var(--tertiary-bg-color);
}

.btn-white {
    --bs-btn-color: #091855;
    --bs-btn-bg: #FFFFFF;
    --bs-btn-border-color: #FFFFFF;
    --bs-btn-hover-color: #000;
    --bs-btn-hover-bg: #fbfbfb;
    --bs-btn-hover-border-color: #ebebeb;
    --bs-btn-focus-shadow-rgb: 211, 212, 213;
    --bs-btn-active-color: #000;
    --bs-btn-active-bg: #fbfbfb;
    --bs-btn-active-border-color: #ebebeb;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #FFFFFF;
    --bs-btn-disabled-border-color: #FFFFFF;
}



/* Dropdowns */
.dropdown-menu{
    /*display: flex;*/
    flex-direction: column;
    gap: 0.25rem;
    padding: 0.5rem;
    border: 0;
    border-radius: 6px;

    --bs-dropdown-link-active-bg: var(--primary-color);
    --bs-dropdown-link-active-color: #FFFFFF;

    box-shadow: 0px 7px 15px 0px #00000012, 0px 27px 27px 0px #0000000F, 0px 62px 37px 0px #00000008, 0px 110px 44px 0px #00000003, 0px 172px 48px 0px #00000000;

}
.dropdown-menu.show{
    display: flex;
}
.dropdown-menu *{
    transition: 0.1s;
}
.dropdown-menu .dropdown-header{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--subtext-color);
    opacity: 0.85;
    padding: .5rem 0 .25rem;
    font-weight: 400;
    font-size: 13px;
}
.dropdown-menu .dropdown-item{
    border: 1px solid #f4f1f1;
    border-radius: 6px;
    padding: .75rem .75rem;

    display: flex;
    align-items: center;

    gap: .5rem;

    color: var(--subtext-color);
    font-size: 14px;
    box-shadow: none;

    white-space: nowrap;

    --active-color-rbg: var(--primary-color-rgb);
    --active-color: var(--primary-color);

    --icon-color: #93a1b5;
}
.dropdown-menu .dropdown-item.danger{
    --active-color-rbg: var(--bs-danger-rgb);
    --active-color: var(--bs-danger);
    --icon-color: var(--bs-danger);

    border-color: rgba(var(--active-color-rbg), 0.2);
    color: var(--bs-danger);
}
.dropdown-menu .dropdown-item .icon{
    font-size: 18px;
    color: var(--icon-color);
}
.dropdown-menu .dropdown-item:hover,
.dropdown-menu .dropdown-item:active{
    background-color: rgba(var(--active-color-rbg), 0.2);
    border-color: rgba(var(--active-color-rbg), 0.25);
    color: var(--active-color);
}
.dropdown-menu .dropdown-item:hover .icon,
.dropdown-menu .dropdown-item:active .icon{
    color: var(--active-color);
}





/* Card Styles */
.card{
    background-color: var(--card-bg-color);
    border: 0;
    border-radius: 14px;
    box-shadow: var(--card-shadow);
    padding: 24px 28px;

    color: var(--text-color);
}
.card-title-pill{
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    padding: 4px 10px;
    border-radius: 6px;
    font-size: 14px;
    color: var(--text-color);
    background-color: var(--tertiary-bg-color);
}



/* Pills */
.pill{
    background-color: #000000;
    color: #FFFFFF;

    display: inline-flex;
    font-size: 11px;
    border-radius: 1000px;
    padding: 4px 6px;
    line-height: 100%;
}



/* Modals */
.modal{
    --bs-modal-padding: 1.5rem;
    --bs-modal-margin: 0.5rem;
    --bs-modal-color: var(--text-color);
    --bs-modal-bg: var(--card-bg-color);
    --bs-modal-border-radius: 20px;
    --bs-modal-box-shadow: var(--card-shadow);
    --bs-modal-inner-border-radius: 20px;
    --bs-modal-header-padding-x: 1.5rem;
    --bs-modal-header-padding-y: 1.5rem;
    --bs-modal-header-padding: 1.5rem 1.5rem 0px;

    --bs-modal-title-line-height: 1.5;
    --bs-modal-footer-gap: 0.5rem;
    --bs-modal-footer-bg: var(--card-bg-color);
}
.modal-header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 0;
}
.modal-title{
    font-size: 1.25rem;
}
.modal-backdrop{
    --bs-backdrop-bg: #092933;
    --bs-backdrop-opacity: 0.7;
}
.modal-footer>*{
    margin: 0;
}
.modal-footer{
    padding-top: 1.25rem;
    padding-bottom: 1.25rem;
    gap: 0.75rem;
}
.modal-content-top-border.modal-content,
.modal-content-top-border .modal-content{
    border-top: 5px solid var(--primary-color);
}

.modal-lg{
    --bs-modal-width: 800px;
}
.modal-xl{
    --bs-modal-width: 1140px;
}





/* Forms */
.form-label{
    font-size: 15px;
    color: var(--subtext-color);
    font-weight: 400;
    margin: 0;
    padding-bottom: 0.25rem;
}
.form-label.required::after{
    content: " *";
    color: red;
    font-weight: bold;
}
.form-label.optional::after{
    content: " (optional)";
    color: inherit;
    font-size: 80%;
    opacity: 0.8;
}

.form-control,
.form-control:active,
.form-control:focus{
    border-radius: 0.5rem;
    color: var(--text-color);
    font-size: 15px;
    padding: 0.875rem;
    background-color: var(--card-bg-color);

    position: relative;
}
.form-control::placeholder{
    opacity: 0.5;
    color: var(--text-color);
}
.form-control:not(input):not(textarea){
    display: flex;
    align-items: center;
    gap: 0.5rem;

    overflow: auto;
    flex-wrap: nowrap;
    white-space: nowrap;
}

.form-control.date-input[type="date"]:invalid{
    color: transparent;
}
.form-control.date-input[type="date"]:invalid:before {
    content: attr(placeholder) !important;
    color: rgba(28, 64, 105, 0.5);

    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 40px;
    background: var(--card-bg-color);
    display: flex;
    align-items: center;
    padding: 1em;
}
/*input.form-control[type="date"]::-webkit-calendar-picker-indicator {*/
/*    position: absolute;*/
/*    top: 0;*/
/*    left: 0;*/
/*    right: 0;*/
/*    bottom: 0;*/
/*    width: 100%;*/
/*    height: 100%;*/
/*    !*appearance: none; !* Hides the actual icon image *!*!*/
/*    background: transparent;*/
/*    color: transparent;*/
/*    cursor: pointer;*/
/*}*/


.form-control[type="number"]::-webkit-outer-spin-button,
.form-control[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none; /* for Chrome, Safari, Edge, Opera */
    margin: 0;
}

.form-control[type="number"] {
    -moz-appearance: textfield; /* for Firefox */
    appearance: textfield; /* Standard property */
}

.form-control:not(textarea){
    line-height: 100%;
}
select.form-control{
    appearance: auto;
}

.form-control:disabled,
.form-control.disabled,
.input-group:disabled > .input-group-text,
.input-group.disabled > .input-group-text{
    background-color: var(--tertiary-bg-color);
    border-color: var(--tertiary-bg-color);
    color: var(--subtext-color);
    cursor: not-allowed;
}

.input-group .form-control:not(:last-child){
    border-right: 0;
    padding-right: 0;
}
.input-group .form-control:not(:first-child){
    border-left: 0;
    padding-left: 0;
}
.input-group{
    flex-wrap: nowrap;
}
.input-group-text{
    background-color: var(--card-bg-color);
}
.input-group-text .icon{
    color: var(--subtext-color);
    font-size: 20px;
}
.form-control:not(textarea),
.input-group-text{
    min-height: 45px;
    padding: 0 0.875rem;
}
textarea.form-control{
    min-height: 130px;
}
